Bug 467399 - (mingw32-readline) Review Request: mingw32-readline - MinGW port of readline for editing typed command lines
Review Request: mingw32-readline - MinGW port of readline for editing typed c...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On: mingw32-gcc mingw32-termcap
Blocks: mingw32-sqlite mingw32-libvirt mingw32-opensc
  Show dependency treegraph
 
Reported: 2008-10-17 06:34 EDT by Richard W.M. Jones
Modified: 2009-03-23 17:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 16:33:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tla: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-10-17 06:34:41 EDT
Spec URL: http://hg.et.redhat.com/misc/fedora-mingw--devel/?cmd=manifest;manifest=82a0662b5376fe1a90612ed85628670c902a43d3;path=/readline/
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-9/src/SRPMS/mingw32-readline-5.2-1.fc9.src.rpm
Description: MinGW port of readline for editing typed command lines

This is a relatively straightforward port of the native Fedora
readline package + patches.

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Richard W.M. Jones 2008-12-10 11:33:57 EST
Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/file/tip/readline/mingw32-readline.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-10/src/SRPMS/mingw32-readline-5.2-4.fc10.src.rpm

* Sat Nov 22 2008 Richard W.M. Jones <rjones@redhat.com> - 5.2-4
- Rename *.dll.a to lib*.dll.a so that libtool can use these libraries.

* Wed Nov 19 2008 Richard W.M. Jones <rjones@redhat.com> - 5.2-3
- Fix paths to mandir, infodir.

* Fri Oct 31 2008 Richard W.M. Jones <rjones@redhat.com> - 5.2-2
- Rebuild against latest termcap.
Comment 2 Tim Lauridsen 2009-01-16 04:16:57 EST
I will take this one
Comment 3 Tim Lauridsen 2009-01-16 04:42:59 EST
$ rpmlint Download/mingw32-readline-5.2-4.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/RPMS/noarch/mingw32-readline-5.2-4.fc10.noarch.rpm 
mingw32-readline.noarch: W: no-documentation
mingw32-readline.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/readline/keymaps.h
mingw32-readline.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libhistory.dll.a
mingw32-readline.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libhistory.dll.a
mingw32-readline.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/readline/rlconf.h
mingw32-readline.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/readline/tilde.h
mingw32-readline.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/readline/rlstdc.h
mingw32-readline.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/readline/history.h
mingw32-readline.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/readline/rltypedefs.h
mingw32-readline.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/readline/chardefs.h
mingw32-readline.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/readline/readline.h
mingw32-readline.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libreadline.dll.a
mingw32-readline.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libreadline.dll.a
mingw32-readline.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libreadline.dll.a
mingw32-readline.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libhistory.dll.a
mingw32-readline.noarch: W: non-standard-dir-in-usr i686-pc-mingw32

Should be ok, because of the cross compiler nature of the package
Comment 4 Tim Lauridsen 2009-01-16 04:46:35 EST
MUST:

* package must match the upstream source 
e39331f32ad14009b9ff49cc10c5e751  readline-5.2.tar.gz (SRPM)
e39331f32ad14009b9ff49cc10c5e751  readline-5.2.tar.gz  (upstream)

* package is named appropriately
    mingw32-*
* it is legal for Fedora to distribute this
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
* summary and description fine
* correct buildroot
* %{?dist} is used
* no license text included in package  
* package meets FHS (http://www.pathname.com/fhs/)
* changelog format fine 
* Packager, Vendor ,Distribution tag not used
* License used and not Copyright 
* Summary tag does not end in a period
* specfile is legible
* package successfully compiles and builds on at least x86
* make sure lines are <= 80 characters
* specfile written in American English
* no -doc sub-package necessary
* /sbin/ldconfig used in packages containing libraries.
    no native libs
* GUI app, has .desktop file and uses desktop-file-install to install it.
    not a gui app
* header files goes into -devel sub-package.
    no native header files
* *.so goes into -devel sub-package.
    no *.so files
* macros used appropriately and consistently
* no %makeinstall
* install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
* The spec file handles locales properly (%find_lang )
    no locales
* split Requires(pre,post) into two separate lines
* package not relocatable
* package contains code
* package owns all directories and files
* no %files duplicates
* %defattrs present 
* %clean present
* %doc files do not affect runtime
* packages is following the MinGW guidelines (http://fedoraproject.org/wiki/Packaging/MinGW)

APPROVED
Comment 5 Richard W.M. Jones 2009-01-16 05:00:42 EST
New Package CVS Request
=======================
Package Name: mingw32-readline
Short Description: MinGW port of readline for editing typed command lines
Owners: rjones berrange lfarkas
Branches: EL-5 F-10
InitialCC:
Comment 6 Kevin Fenzi 2009-01-16 22:30:17 EST
cvs done.
Comment 7 Fedora Update System 2009-01-17 06:51:47 EST
mingw32-readline-5.2-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-readline-5.2-4.fc10
Comment 8 Fedora Update System 2009-01-21 16:33:51 EST
mingw32-readline-5.2-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.